#! /bin/bash

while true; do #boucle infinie
ping -c 1 131.252.210.176 #éxecution d'un ping à l'adresse voulue
if [ $? -ne 0 ]; then #si la réponse du ping est négative alors lancé le script qui allume la LED jaune et faire un fichier ping_failures.log si il n'est pas déja fait et écrire dedans la date
python /home/user1/Desktop/LEDr1on.py
echo "$(date)" >> /home/user1/ping_failures.log
else
python /home/user1/Desktop/LEDr1off.py #sinon éteindre la LED jaune
fi

if [ -s /home/user1/ping_failures.log ]; then #allume la LED rouge si il y a un log sinon il l'éteint
python /home/user1/Desktop/LEDj1on.py
else 
python /home/user1/Desktop/LEDj1off.py
fi

if [ -s /home/user1/ping_failures.log ]; then #éteint la LED verte si il y a un log et sinon l'allume
python /home/user1/Desktop/LEDv1off.py
else 
python /home/user1/Desktop/LEDv1on.py
fi

sleep 1
done
